Page MenuHomePhabricator

Modularize mail tags
Closed, ResolvedPublic

Description

Currently users get emails, if a package was updated, if there are an owner or watch a project which is an owner. This is annoying: I get spammed by packages updates. I think I can manage this via herald, but it would be better, if we can manage the mail settings via preferences, so users can ignore single types of messages.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Krinkle removed a subscriber: Krinkle.Jan 12 2017, 8:04 PM
ftdysa added a subscriber: ftdysa.Mar 29 2017, 3:24 PM

One spanner in the works here is that not all applications with mail preferences are on Modular Transactions yet. I think these are missing:

  • Slowvote
  • Ponder
  • Phriction
  • Pholio
  • Fund
  • Conpherence, technically, but it's not on the same system anyway.

At some point, we probably need to copy users' settings to the new system -- at least, mostly -- since I think we'll get a lot of pushback if we make everyone go set everything up again from scratch.

For now, I'm going to do this:

  • Put the new system in place, but as a prototype, and not link it in the UI yet. The implication is: if you use it, your settings may be changed in the future by the eventual cutover/migration. (But: I think we can just add rules, not overwrite anything, so cleanup won't be too bad.)
  • Once it works we can either convert the missing applications, do a partial cutover, or do a full cutover and just accept that settings for these applications won't be customizable until they're updated. Slowvote and Fund are probably easy to update but the others might be more involved.
chad added a comment.May 3 2017, 2:45 AM

Just to clarify, it is good to be moving all the apps to modular transactions? This task is my primary motivator to cleaning that up.

Yeah, that directly helps with this. I think I have a pretty good plan for the actual mail part that isn't too crazy complicated, but the cutover/migration bit will be much simpler/smoother if we get things swapped over -- at least, most of the way -- ahead of this.

chad updated the task description. (Show Details)May 4 2017, 5:03 PM
chad updated the task description. (Show Details)
chad updated the task description. (Show Details)
amckinley updated the task description. (Show Details)May 16 2017, 7:23 PM
chad updated the task description. (Show Details)May 23 2017, 7:20 PM
amckinley updated the task description. (Show Details)May 24 2017, 8:00 PM
amckinley updated the task description. (Show Details)
Twilight removed a subscriber: Twilight.Jul 16 2017, 2:06 PM
epriestley moved this task from v3 to Stamps/Failover on the Mail board.Jan 27 2018, 9:57 PM
epriestley closed this task as Resolved.Feb 8 2018, 7:28 PM
epriestley claimed this task.

I'm going to roll this forward into T13069, which discusses remaining work for "mail stamps".